---
title: Get Shipment E-URL
slug: fourkites-api-reference/get-shipment-e-url
description: Learn how to use the Share Shipment Status API to track and get detailed information about a load. This document provides examples of code in different programming languages and explains how to use the API to retrieve tracking information, ETA, and a shar
icon: {"apiMethod":"GET"}
createdAt: 2023-04-14T05:22:17.000Z
---

This API returns the **Share Shipment Status of a load**. The URL can be shared with customers/partners to get detailed information about the load and its tracking information along with the **ETA**.

:::hint{type="info"}
📘 **eURL availability for Network Visibility shared loads**

If a load is shared with your company via **Network Visibility**, the eURL returned by this API depends on the sharing company's **Share Shipment Status** privacy setting for your organization.

- If **Share Shipment Status** is set to **Show**, the eURL will be returned as expected.
- If **Share Shipment Status** is set to **Hide**, the eURL field will not be returned for that load, even though other load data may still be accessible.

This setting is configured per-partner under the sharing company's Network Visibility privacy settings and is independent of other shared fields&#x20;
:::

:::ApiMethodV2
```json
{
  "name": "Get Shipment eURL",
  "method": "GET",
  "url": "https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "Y4dCqNVq5HPjoh9belBiy",
        "language": "curl",
        "code": "curl --location -g --request GET 'https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}' \\\n--header 'apikey: REPLACE_KEY_VALUE'\n",
        "customLabel": ""
      },
      {
        "id": "laBcRexREdCHb-FyCBIso",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\")\n  .method(\"GET\", body)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();\n",
        "customLabel": ""
      },
      {
        "id": "50eO_mntccxgMsoszFhay",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"apikey\", \"REPLACE_KEY_VALUE\");\n\nvar requestOptions = {\n  method: 'GET',\n  headers: myHeaders,\n  redirect: 'follow'\n};\n\nfetch(\"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\", requestOptions)\n  .then(response => response.text())\n  .then(result => console.log(result))\n  .catch(error => console.log('error', error));\n\n",
        "customLabel": ""
      },
      {
        "id": "6Krjpy5cc2pqnmoETTbSM",
        "language": "swift",
        "code": "import Foundation\n#if canImport(FoundationNetworking)\nimport FoundationNetworking\n#endif\n\nvar semaphore = DispatchSemaphore (value: 0)\n\nvar request = URLRequest(url: URL(string: \"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    semaphore.signal()\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n  semaphore.signal()\n}\n\ntask.resume()\nsemaphore.wait()\n",
        "customLabel": ""
      },
      {
        "id": "8Hy6FJLbFNm90JMEDMI7q",
        "language": "csharp",
        "code": "var client = new RestClient(\"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\");\nclient.Timeout = -1;\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"apikey\", \"REPLACE_KEY_VALUE\");\nIRestResponse response = client.Execute(request);\nConsole.WriteLine(response.Content);\n",
        "customLabel": ""
      },
      {
        "id": "UT08Pekp61htpi1EiBlVe",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.fourkites.com/shipments/%7BloadIdentifier%7D/fourkites-tracking-url?templateID=%7BtemplateID%7D&identifierType=%7BidentifierType%7D\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}\n",
        "customLabel": ""
      },
      {
        "id": "f4k5hmeuBgXjyyUPLXfW0",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n\n",
        "customLabel": ""
      },
      {
        "id": "5ZEGyd6pE3ykzlclVh_pJ",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.fourkites.com\")\npayload = ''\nheaders = {\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/shipments/{loadIdentifier}/fourkites-tracking-url?templateID=%7BtemplateID%7D&identifierType=%7BidentifierType%7D\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Y4dCqNVq5HPjoh9belBiy"
  },
  "results": {
    "languages": [
      {
        "id": "kGlshXR0g0vX1Ci6_OdKx",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"data\": \"https://app.fourkites.com/shipment-shareable-e-url\",\n    \"requestId\": \"brkrjs9ghpuac6skpa5g\"\n}\n\n"
      }
    ],
    "selectedLanguageId": "kGlshXR0g0vX1Ci6_OdKx"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-shipment-eurl",
  "legacyHash": "t9gmJx634DkEE-lb46gQX"
}
```
:::

:::ApiMethodV2
```json
{
  "name": "Get Shipment eURL - Staging",
  "method": "GET",
  "url": "https://api-staging.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "Y4dCqNVq5HPjoh9belBiy",
        "language": "curl",
        "code": "curl --location -g --request GET 'https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}' \\\n--header 'apikey: REPLACE_KEY_VALUE'\n",
        "customLabel": ""
      },
      {
        "id": "laBcRexREdCHb-FyCBIso",
        "language": "java",
        "code": "OkHttpClient client = new OkHttpClient().newBuilder()\n  .build();\nMediaType mediaType = MediaType.parse(\"text/plain\");\nRequestBody body = RequestBody.create(mediaType, \"\");\nRequest request = new Request.Builder()\n  .url(\"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\")\n  .method(\"GET\", body)\n  .addHeader(\"apikey\", \"REPLACE_KEY_VALUE\")\n  .build();\nResponse response = client.newCall(request).execute();\n",
        "customLabel": ""
      },
      {
        "id": "50eO_mntccxgMsoszFhay",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"apikey\", \"REPLACE_KEY_VALUE\");\n\nvar requestOptions = {\n  method: 'GET',\n  headers: myHeaders,\n  redirect: 'follow'\n};\n\nfetch(\"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\", requestOptions)\n  .then(response => response.text())\n  .then(result => console.log(result))\n  .catch(error => console.log('error', error));\n\n",
        "customLabel": ""
      },
      {
        "id": "6Krjpy5cc2pqnmoETTbSM",
        "language": "swift",
        "code": "import Foundation\n#if canImport(FoundationNetworking)\nimport FoundationNetworking\n#endif\n\nvar semaphore = DispatchSemaphore (value: 0)\n\nvar request = URLRequest(url: URL(string: \"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\")!,timeoutInterval: Double.infinity)\nrequest.addValue(\"REPLACE_KEY_VALUE\", forHTTPHeaderField: \"apikey\")\n\nrequest.httpMethod = \"GET\"\n\nlet task = URLSession.shared.dataTask(with: request) { data, response, error in \n  guard let data = data else {\n    print(String(describing: error))\n    semaphore.signal()\n    return\n  }\n  print(String(data: data, encoding: .utf8)!)\n  semaphore.signal()\n}\n\ntask.resume()\nsemaphore.wait()\n",
        "customLabel": ""
      },
      {
        "id": "8Hy6FJLbFNm90JMEDMI7q",
        "language": "csharp",
        "code": "var client = new RestClient(\"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\");\nclient.Timeout = -1;\nvar request = new RestRequest(Method.GET);\nrequest.AddHeader(\"apikey\", \"REPLACE_KEY_VALUE\");\nIRestResponse response = client.Execute(request);\nConsole.WriteLine(response.Content);\n",
        "customLabel": ""
      },
      {
        "id": "UT08Pekp61htpi1EiBlVe",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io/ioutil\"\n)\n\nfunc main() {\n\n  url := \"https://api.fourkites.com/shipments/%7BloadIdentifier%7D/fourkites-tracking-url?templateID=%7BtemplateID%7D&identifierType=%7BidentifierType%7D\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"apikey\", \"REPLACE_KEY_VALUE\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := ioutil.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}\n",
        "customLabel": ""
      },
      {
        "id": "f4k5hmeuBgXjyyUPLXfW0",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.fourkites.com/shipments/{loadIdentifier}/fourkites-tracking-url?templateID={templateID}&identifierType={identifierType}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"apikey\"] = \"REPLACE_KEY_VALUE\"\n\nresponse = https.request(request)\nputs response.read_body\n\n",
        "customLabel": ""
      },
      {
        "id": "5ZEGyd6pE3ykzlclVh_pJ",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.fourkites.com\")\npayload = ''\nheaders = {\n  'apikey': 'REPLACE_KEY_VALUE'\n}\nconn.request(\"GET\", \"/shipments/{loadIdentifier}/fourkites-tracking-url?templateID=%7BtemplateID%7D&identifierType=%7BidentifierType%7D\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "Y4dCqNVq5HPjoh9belBiy"
  },
  "results": {
    "languages": [
      {
        "id": "kGlshXR0g0vX1Ci6_OdKx",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"data\": \"https://app.fourkites.com/shipment-shareable-e-url\",\n    \"requestId\": \"brkrjs9ghpuac6skpa5g\"\n}\n\n"
      }
    ],
    "selectedLanguageId": "kGlshXR0g0vX1Ci6_OdKx"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "get-shipment-eurl-staging",
  "legacyHash": "Y1wCShtiGKpI_00WdqS3C"
}
```
:::

### Request Attributes

| Name             | Param Type | Format | Default              | Description                                                                                                            |
| ---------------- | ---------- | ------ | -------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| `loadIdentifier` | Path       | String | NA                   | loadIdentifier Unique identifier of a load. Can be Load Number or FourKites Tracking ID.                               |
| `templateID`     | Path       | String | Default SSS template | templateID is a FourKites generated identifier for an SSS template. This parameter is Optional.                        |
| `identifierType` | Path       | String | fourKitesShipmentID  | identifierType is an identifier for . This parameter is Optional. Possible values are fourKitesShipmentID, loadNumber. |

### Response Attributes

| Name | Format                    | Default | Description                                                                |
| ---- | ------------------------- | ------- | -------------------------------------------------------------------------- |
| data | String. Fully formed URL. | NA      | This is a fully formed URL that can be shared or embedded in HTML iframes. |
